public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/man-pages-de/
Date: Mon, 18 Dec 2017 18:14:10 +0000 (UTC)	[thread overview]
Message-ID: <1513620786.b82dc1f88361126a42a35ff5b6fe526c48d75497.mrueg@gentoo> (raw)

commit:     b82dc1f88361126a42a35ff5b6fe526c48d75497
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 18 18:13:06 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Dec 18 18:13:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b82dc1f8

app-i18n/man-pages-de: Version bump to 2.3 (on behalf of Markus Oehme)

Closes: https://bugs.gentoo.org/641064
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-i18n/man-pages-de/Manifest                |  1 +
 app-i18n/man-pages-de/man-pages-de-2.3.ebuild | 51 +++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-i18n/man-pages-de/Manifest b/app-i18n/man-pages-de/Manifest
index 55615a1bb00..b803023a9de 100644
--- a/app-i18n/man-pages-de/Manifest
+++ b/app-i18n/man-pages-de/Manifest
@@ -1,3 +1,4 @@
 DIST manpages-de-1.15.tar.xz 1529576 BLAKE2B 600d9c186ffa46fd1db110c3889abc44bb6ccb6847ed8385c461c7fa696f5a9e8a65233d1290ae9d1e9eb26694e8769aa35983f07205a0e7e57c9b0c14c7d7bc SHA512 d1f1b9f60c4713d6be650e21b7664ff594dbd542b53148c00d1a2269413d39615dd76be4c4095eeb72e2598b94af134ca5d128b85d9520a1ac404364b8a53948
 DIST manpages-de-1.16.tar.xz 1537396 BLAKE2B 4e54ba469f3469dcaf618eb295eef6c20a181d3a8c3ae98854d801408a5d1b8a47d193963b1da63947a2ccf9ebffc01cb140053793129df5df0a6f712e07ea1f SHA512 7e070a055804536a7777c573c2e7f7617bb305feafde70324e7a583a232f0463ee3df1b2a255b7e8cee621719db16c6b12b9d13ef4979260b085b0827b230a4f
 DIST manpages-de-1.21.tar.xz 1585600 BLAKE2B f2364e0b5fc1ca8ce8f5eb7fa5987d1bc68b1f8f2c1a26240d5cabd03eb5bb094f0d63274c7208059a766498f5f20ca7ccab72a9d4847057aae3b7d6697018e7 SHA512 24cc36e8e9c2efb8cd2a0c374a3f5da96f6645a306082cc28aae5933081f7de24bac03652f690a2becd32a23a93c17ddd9029190c299dda95eeb25f49b327fac
+DIST manpages-de-2.3.tar.xz 7016372 BLAKE2B 3b89049d11bfd539e9114de38198f610145972068c9cec1da1b6398fb1d3e846b112ca0336891c1782a6fb142f397ac472ad78be0596503377318bfe65ec68d2 SHA512 abc3574c4a315d86b4fcccb25d617851c1ff43844fc7b1b92d7849a098280a96ab73d4986047fe6bb18e8f11d391182370eff9db476e0dd2021d0725b4e945eb

diff --git a/app-i18n/man-pages-de/man-pages-de-2.3.ebuild b/app-i18n/man-pages-de/man-pages-de-2.3.ebuild
new file mode 100644
index 00000000000..6698d74db09
--- /dev/null
+++ b/app-i18n/man-pages-de/man-pages-de-2.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+MY_P="${PN/-/}-${PV}"
+
+DESCRIPTION="A somewhat comprehensive collection of Linux german man page translations"
+HOMEPAGE="https://alioth.debian.org/projects/manpages-de/"
+SRC_URI="http://manpages-de.alioth.debian.org/downloads/${MY_P}.tar.xz"
+
+LICENSE="GPL-3+ man-pages GPL-2+ GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/man"
+DEPEND="app-text/po4a"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	default
+
+	# sys-apps/shadow has it's own translated man-page for this
+	rm upstream/primary/man1/groups.1 po/primary/man1/groups.1.po || die
+
+	# Use the same compression as every other manpage
+	local PORTAGE_COMPRESS_LOCAL=${PORTAGE_COMPRESS-bzip2}
+	if [[ ${PORTAGE_COMPRESS+set} == "set" ]] ; then
+		PORTAGE_COMPRESS_LOCAL="#"
+	fi
+	if [[ ${PORTAGE_COMPRESS_FLAGS+set} != "set" ]] ; then
+		case ${PORTAGE_COMPRESS_LOCAL} in
+			bzip2|gzip)  local PORTAGE_COMPRESS_FLAGS_LOCAL="-9"
+			;;
+		esac
+	fi
+	sed -i -e "s/gzip --best/${PORTAGE_COMPRESS_LOCAL} ${PORTAGE_COMPRESS_FLAGS_LOCAL}/"\
+		po/Makefile.in || die
+	eautoreconf
+}
+
+src_compile() { :; }
+
+src_install() {
+	emake mandir="${ED}"/usr/share/man install
+	dodoc CHANGES.md README.md
+}


             reply	other threads:[~2017-12-18 18:14 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-18 18:14 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-05-17 19:41 [gentoo-commits] repo/gentoo:master commit in: app-i18n/man-pages-de/ Ulrich Müller
2020-03-29 20:05 Ulrich Müller
2020-03-24 20:08 Ulrich Müller
2020-03-18 20:16 Ulrich Müller
2019-12-14  9:57 Ulrich Müller
2019-05-08 19:55 Sergei Trofimovich
2019-05-07 20:14 Tobias Klausmann
2019-05-05 13:45 Mikle Kolyada
2019-05-03  1:45 Aaron Bauman
2019-03-02 11:13 Lars Wendler
2019-03-02 11:13 Lars Wendler
2019-02-17 15:43 Lars Wendler
2019-02-17 15:43 Lars Wendler
2018-10-17 21:38 Virgil Dupras
2018-04-22  1:33 Aaron Bauman
2017-12-18 18:14 Manuel Rüger
2017-02-13 10:58 Manuel Rüger
2017-02-13 10:58 Manuel Rüger
2016-09-28  7:12 Lars Wendler
2016-09-28  7:12 Lars Wendler
2016-09-28  7:12 Lars Wendler
2016-08-29 15:49 Lars Wendler
2016-08-29 15:49 Lars Wendler
2016-08-29 15:49 Lars Wendler
2016-08-09  8:10 Lars Wendler
2016-08-09  8:10 Lars Wendler
2016-06-16  7:29 Lars Wendler
2016-06-16  7:29 Lars Wendler
2016-06-08 19:17 Mike Frysinger
2016-06-08 19:17 Mike Frysinger
2016-04-18  7:33 Lars Wendler
2016-02-17 21:14 Manuel Rüger
2016-02-17 21:13 Manuel Rüger
2016-01-16 17:50 Manuel Rüger
2016-01-08 23:32 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1513620786.b82dc1f88361126a42a35ff5b6fe526c48d75497.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox